Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.types
Interface VarSet

All Superinterfaces:
  java.lang.Cloneable, java.util.Collection, java.lang.Iterable, java.util.Set

All Known Implementing Classes:
  ACRF.UnrolledVarSet, BitVarSet, HashVarSet, ListVarSet, UnmodifiableVarSet

    public interface VarSet

extends java.util.Set, java.lang.Cloneable

Interface for classes that maintain a set of variables in a specified order.

Version:
  $Id: VarSet.java,v 1.1 2007/10/22 21:37:44 mccallum Exp $
Author:
  Charles Sutton

Method Summary
`AssignmentIterator` | `assignmentIterator()` Returns an iterator over the assignments to this clique.
`Variable` | `get(int idx)` Returns the variable in this clique at index idx.
`VarSet` | `intersection(VarSet c)` Returns the intersection of two cliques.
`Variable[]` | `toVariableArray()` Returns the variables in this clique as an array, that should not be modified.
`int` | `weight()` Returns the number of assignments of this clique.

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Method Detail

### get

    Variable get(int idx)

  Returns the variable in this clique at index idx.

  Parameters:
    `idx` -
  Returns:
    the variable

### toVariableArray

    Variable[] toVariableArray()

  Returns the variables in this clique as an array, that should not be modified.

  Returns:
    An array of Variables.

### weight

    int weight()

  Returns the number of assignments of this clique.

### assignmentIterator

    AssignmentIterator assignmentIterator()

  Returns an iterator over the assignments to this clique. Each element in the Iterator is an `Assignment` object.

  Returns:
    An iterator over assignments

### intersection

    VarSet intersection(VarSet c)

  Returns the intersection of two cliques.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD